{% extends "base.html" %}

{% load static %}

{% block title %}AdopsiPet Upload{% endblock %}

{% block styles %}
<link rel="stylesheet" type="text/css" href="{% static 'upload.css' %}">
{% endblock %}

{% block content %}
<h1 class="text-center pt-4">Upload Pet</h1>
<div class="container py-4"><form method="POST" enctype="multipart/form-data"> {% csrf_token %}
    <div class="row">
        <div class="col-md-6">
            <div class="form-group">
                <label for="id_pet_name">Pet name:</label>
                <input class="form-control" type="text" name="pet_name" maxlength="50" required="" id="id_pet_name">
            </div>
            
            <div class="form-group">
                <label for="id_pet_type">Pet type:</label>
                <select class="form-control" name="pet_type" required="" id="id_pet_type">
                    <option value="" selected="">---------</option>
                    <option value="Cat">Cat</option>
                    <option value="Dog">Dog</option>
                    <option value="Other">Other</option>
                </select>
            </div>
            
            <div class="form-group">
                <label for="id_pet_breed">Pet breed:</label>
                <input class="form-control" type="text" name="pet_breed" maxlength="50" required="" id="id_pet_breed">
            </div>
            
            <div class="form-group">
                <label for="id_pet_gender">Pet gender:</label>
                <select class="form-control" name="pet_gender" required="" id="id_pet_gender">
                    <option value="" selected="">---------</option>
                    <option value="Male">Male</option>
                    <option value="Female">Female</option>
                </select>
            </div>

            <div class="form-group">
                <label for="id_pet_size">Pet size:</label>
                <select class="form-control" name="pet_size" required="" id="id_pet_size">
                    <option value="" selected="">---------</option>
                    <option value="Small">Small</option>
                    <option value="Medium">Medium</option>
                    <option value="Large">Large</option>
                    <option value="XL">XL</option>
                </select>
            </div>
            
            <div class="form-group">
                <label for="id_pet_age">Pet age:</label>
                <select class="form-control" name="pet_age" required="" id="id_pet_age">
                    <option value="" selected="">---------</option>
                    <option value="Young">Young</option>
                    <option value="Adult">Adult</option>
                    <option value="Senior">Senior</option>
                </select>
            </div>
            
            <div class="form-group">
                <label for="id_pet_health">Pet health:</label>
                <input class="form-control" type="text" name="pet_health" maxlength="50" required="" id="id_pet_health">
            </div>
        </div>
        <div class="col-md-6">
            <div class="form-group">
                <label for="id_owner_name">Owner name:</label>
                <input class="form-control" type="text" name="owner_name" maxlength="100" required="" id="id_owner_name">
            </div>

            <div class="form-group">
                <label for="id_owner_phone">Owner phone:</label>
                <input class="form-control" type="text" name="owner_phone" maxlength="50" required="" id="id_owner_phone">
            </div>

            <div class="form-group">
                <label for="id_owner_email">Owner email:</label>
                <input class="form-control" type="email" name="owner_email" maxlength="200" required="" id="id_owner_email">
            </div>

            <div class="form-group">
                <label for="id_owner_country">Owner country:</label>
                <input class="form-control" type="text" name="owner_country" maxlength="50" required="" id="id_owner_country">
            </div>
            
            <div class="form-group">
                <label for="id_owner_address">Owner address:</label>
                <input class="form-control" type="text" name="owner_address" maxlength="200" required="" id="id_owner_address">
            </div>

            <div class="form-group">
                <label for="id_owner_city">Owner city:</label>
                <input class="form-control" type="text" name="owner_city" maxlength="50" required="" id="id_owner_city">
            </div>

            <div class="form-group">
                <label for="id_owner_zipcode">Owner zipcode:</label>
                <input class="form-control" type="text" name="owner_zipcode" maxlength="50" required="" id="id_owner_zipcode">
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col">
            <div class="form-group">
                <label for="id_adoption_fee">Pet photo:</label><br>
                <input type="file" name="photo" accept="image/*" required="" id="id_photo">
            </div>
            
            <div class="form-group">
                <label for="id_adoption_fee">Adoption fee:</label>
                <input class="form-control" type="text" name="adoption_fee" maxlength="50" required="" id="id_adoption_fee">
            </div>

            <div class="form-group">
                <label for="id_description">Description:</label>
                <textarea class="form-control" name="description" rows="5" maxlength="500" required="" id="id_description"></textarea>
            </div>
            <button class="btn orange-btn w-100" type="submit">Submit</button>
        </div>
    </div>
</form></div>
{% endblock %}
